#ifndef APPLEPUSHNOTIFICATIONS_H
#define APPLEPUSHNOTIFICATIONS_H
#include "notificationabstract.h"
#include "iosdevicetokenstorage.h"
#include "iosnotificationreceiver.h"

class ApplePushNotifications:public NotificationAbstract
{
public:
    virtual void registerWithService();
    ApplePushNotifications();
    void receiveMessage(QString server, QString rid, QString name, QString type);
protected:
    void receiveToken();
    
    IosDeviceTokenStorage* mInstance = nullptr;
    IosNotificationReceiver* mNotificationInstance = nullptr;
};

#endif // APPLEPUSHNOTIFICATIONS_H
