#include "iosdevicetokenstorage.h"

IosDeviceTokenStorage* IosDeviceTokenStorage::mInstance = nullptr;

IosDeviceTokenStorage* IosDeviceTokenStorage::getInstance(){
    if(mInstance == nullptr){
        mInstance = new IosDeviceTokenStorage;
    }
    return mInstance;
}

void IosDeviceTokenStorage::setToken(QString stdToken){
    mToken = stdToken;
    emit tokenReceived();
}

QString IosDeviceTokenStorage::getToken(){
    return mToken;
}
