#ifndef IOSDEVICETOKENSTORAGE_H
#define IOSDEVICETOKENSTORAGE_H

#include <QString>
#include <QObject>

class IosDeviceTokenStorage: public QObject
{
    Q_OBJECT
public:
    static IosDeviceTokenStorage* getInstance();

    QString getToken();
    void setToken(QString mToken);

private:
    IosDeviceTokenStorage(){}
    IosDeviceTokenStorage(const IosDeviceTokenStorage&) = delete;

    static IosDeviceTokenStorage* mInstance;

    QString mToken = "";

signals:
    void tokenReceived();
};

#endif // IOSDEVICETOKENSTORAGE_H
