#ifndef IOSNOTIFICATIONRECEIVER_H
#define IOSNOTIFICATIONRECEIVER_H

#include <QObject>

class IosNotificationReceiver : public QObject
{
    Q_OBJECT
public:
    static IosNotificationReceiver* getInstance();

    void sendMessageReceived(QString pServer, QString pRid, QString pName, QString pType);

private:
    IosNotificationReceiver(){}
    IosNotificationReceiver(const IosNotificationReceiver&) = delete;

    static IosNotificationReceiver* mInstance;


signals:
    void messageReceived(QString pServer, QString pRid, QString pName, QString pType);
};

#endif // IOSNOTIFICATIONRECEIVER_H
